src/Unuk/main.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <GL/gl.h>`
`#include <GL/glu.h>`
`#include "SDL/SDL.h"`
`#include "Game.h"`
`#include "../libUnuk/Input.h"`
`#include "../libUnuk/Debug.h"`

Go to the source code of this file.

## Functions

void | Quit (int returnCode)
int | ResizeWindow (int width, int height)
void | ProcessEvents (SDL_keysym *keysym)
int | InitGL (void)
unsigned int | GetTickCount ()
float | GetElapsedSeconds (void)
int | main ()

## Variables

const int | SCREEN_WIDTH = 640
const int | SCREEN_HEIGHT = 480
const int | SCREEN_BPP = 16
SDL_Surface * | surface

## Function Documentation

float GetElapsedSeconds | ( | void |  | ) |

Definition at line 106 of file main.cpp.

unsigned int GetTickCount | ( |  | ) |

Definition at line 97 of file main.cpp.

int InitGL | ( | void |  | ) |

Definition at line 78 of file main.cpp.

int main | ( |  | ) |

Definition at line 114 of file main.cpp.

void ProcessEvents | ( | SDL_keysym * | keysym | ) |

Definition at line 62 of file main.cpp.

void Quit | ( | int | returnCode | ) |

Definition at line 22 of file main.cpp.

int ResizeWindow | ( | int | width,
|  | int | height
| ) |  |

Definition at line 33 of file main.cpp.

## Variable Documentation

const int SCREEN_BPP = 16

Definition at line 17 of file main.cpp.

const int SCREEN_HEIGHT = 480

Definition at line 16 of file main.cpp.

const int SCREEN_WIDTH = 640

Definition at line 15 of file main.cpp.

SDL_Surface* surface

Definition at line 20 of file main.cpp.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines